import { ILogger } from '@sourceloop/core';
import { IEvent, IIncomingConnector, IOutgoingConnector } from '../../interfaces';
import { WebhookService } from './services';
export declare class HttpStreamService implements IOutgoingConnector<IEvent>, IIncomingConnector {
    private readonly webhookService;
    private readonly logger;
    constructor(webhookService: WebhookService, logger: ILogger);
    private _handler?;
    triggerHandler(event: IEvent): Promise<void>;
    subscribe(handler: (event: IEvent) => Promise<void>): Promise<void>;
    unsubscribe(): Promise<void>;
    publish(event: IEvent): Promise<void>;
}
