import { BindingKey, Constructor } from '@loopback/core';
import { ICommand } from '@sourceloop/bpmn-service';
import { IEventProcessor, IIncomingConnector, IOutgoingConnector, IUserTaskService } from './interfaces';
import { EventFilter, TaskServiceConfig, User } from './types';
export declare namespace TaskServiceBindings {
    const CUSTOM_BPMN_RUNNER: BindingKey<unknown>;
    const SUB_TASK_SERVICE: BindingKey<IUserTaskService>;
    const EVENT_PROCESSOR: BindingKey<IEventProcessor>;
    const EVENT_FILTER: BindingKey<EventFilter>;
    const INCOMING_CONNECTOR: BindingKey<IIncomingConnector<import("./interfaces").IEvent<any>>>;
    const OUTGOING_CONNECTOR: BindingKey<IOutgoingConnector<unknown>>;
    const COMMANDS: BindingKey<Constructor<ICommand>[]>;
    const CONFIG: BindingKey<TaskServiceConfig>;
    const SYSTEM_USER: BindingKey<User>;
}
