"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventWorkflowRepository = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const sequelize_1 = require("@loopback/sequelize");
const sequelize_2 = require("@sourceloop/core/sequelize");
const loopback4_authentication_1 = require("loopback4-authentication");
const types_1 = require("../../types");
let EventWorkflowRepository = class EventWorkflowRepository extends sequelize_2.SequelizeUserModifyCrudRepository {
    constructor(dataSource, userGetter, eventWorkflow) {
        super(eventWorkflow, dataSource, userGetter);
        this.userGetter = userGetter;
        this.eventWorkflow = eventWorkflow;
    }
};
exports.EventWorkflowRepository = EventWorkflowRepository;
exports.EventWorkflowRepository = EventWorkflowRepository = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(`datasources.${types_1.TaskDbSourceName}`)),
    tslib_1.__param(1, core_1.inject.getter(loopback4_authentication_1.AuthenticationBindings.CURRENT_USER)),
    tslib_1.__param(2, (0, core_1.inject)('models.EventWorkflow')),
    tslib_1.__metadata("design:paramtypes", [sequelize_1.SequelizeDataSource, Function, Object])
], EventWorkflowRepository);
//# sourceMappingURL=event-workflow.repository.js.map